Skip to main content
GET
/
swaps
Get swaps status
curl --request GET \
  --url https://trade-api.gateway.uniswap.org/v1/swaps \
  --header 'x-api-key: <api-key>'
{
  "requestId": "cL8S8hNtCYcEJLg=",
  "swaps": [
    {
      "status": "SUCCESS",
      "swapType": "CLASSIC",
      "txHash": "0xc286f0adc6a9d6d26d6114df251d9b09d8bfafb2e00af5953193f6af92e110db"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.uniswap.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

txHashes
string[]

On-chain transaction hashes. At least one of txHashes or userOpHashes must be provided.

The unique hash of the transaction.

Pattern: ^(0x)?[0-9a-fA-F]{64}$
userOpHashes
string[]

ERC-4337 UserOperation hashes. At least one of txHashes or userOpHashes must be provided.

The unique hash of the transaction.

Pattern: ^(0x)?[0-9a-fA-F]{64}$
chainId
enum<number>
default:1

The unique ID of the blockchain. For a list of supported chains see the FAQ.

Available options:
1,
10,
56,
130,
137,
143,
196,
324,
480,
1868,
4217,
8453,
10143,
42161,
42220,
43114,
59144,
81457,
7777777,
1301,
84532,
11155111

Response

Get swap successful.

requestId
string
required

A unique ID for the request.

swaps
object[]